<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j" 
	xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib" 
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="body">
    <h:form id="globalForm">
      <h1>
				Template : 
				<h:outputText value="??" rendered="#{templateDescriptorBean.selectedTemplate == null}"/>
				<h:outputText value="#{templateDescriptorBean.selectedTemplate.name}" rendered="#{templateDescriptorBean.selectedTemplate != null and templateDescriptorBean.selectedTemplate.documentationSpec == null}"/>
				<h:outputText value="#{templateDescriptorBean.selectedTemplate.documentationSpec.name}" rendered="#{templateDescriptorBean.selectedTemplate != null and templateDescriptorBean.selectedTemplate.documentationSpec != null}"/>
			</h1>
      <gri:panel rendered="#{templateDescriptorBean.selectedTemplate != null}">
        <f:facet name="header">Template : #{templateDescriptorBean.selectedTemplate.templateId}</f:facet>
        <s:decorate template="/layout/display/_display.xhtml">
          <ui:define name="label">Template Name</ui:define>
          <h:outputText value="#{templateDescriptorBean.selectedTemplate.name}" rendered="#{templateDescriptorBean.selectedTemplate.documentationSpec == null}"/>
          <h:outputText value="#{templateDescriptorBean.selectedTemplate.documentationSpec.name}" rendered="#{templateDescriptorBean.selectedTemplate.documentationSpec != null}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_display.xhtml">
          <ui:define name="label">Template ID</ui:define>
          <h:outputText style="color:#aa0000;" value="#{templateDescriptorBean.selectedTemplate.templateId}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_display.xhtml" rendered="#{templateDescriptorBean.selectedTemplate.documentationSpec != null}">
          <ui:define name="label">Description</ui:define>
          <h:outputText value="#{templateDescriptorBean.selectedTemplate.documentationSpec.description} "/>
        </s:decorate>
        <s:decorate template="/layout/display/_display.xhtml" rendered="#{templateDescriptorBean.selectedTemplate.documentationSpec != null}">
          <ui:define name="label">Document</ui:define>
          <h:outputText value="#{templateDescriptorBean.selectedTemplate.documentationSpec.document} "/>
          <h:outputText value="(#{templateDescriptorBean.selectedTemplate.documentationSpec.paragraph})"/>
        </s:decorate>
        <s:decorate template="/layout/display/_display.xhtml">
          <ui:define name="label">Parent</ui:define>
          <h:outputText value="#{templateDescriptorBean.selectedTemplate.parentId}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_display.xhtml">
          <ui:define name="label">Package</ui:define>
          <h:outputText value="#{templateDescriptorBean.selectedTemplate.mbPackage.name}"/>
        </s:decorate>
        <gri:panel rendered="#{templateDescriptorBean.selectedTemplate.constraint.size() &gt; 0}">
          <f:facet name="header">List of related constraints</f:facet>
          <rich:list var="cons" value="#{templateDescriptorBean.selectedTemplate.constraint}" type="unordered">
            <h:outputText value="#{cons.description} "/>
            <h:outputLink value="../constraints/constraintDescriptor.seam?name=#{cons.name}&amp;pack=#{cons.classType.mbPackage.name}&amp;class=#{cons.classType.name}" target="_blank">
              <h:outputText value="more.." style="font-style: italic;"/>
            </h:outputLink>
          </rich:list>
        </gri:panel>
      </gri:panel>
      <h:outputText rendered="#{templateDescriptorBean.selectedTemplate ==null}" value="No template of validation exists with the specified templateId"/>
    </h:form>
  </ui:define>
</ui:composition>
